diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-deferredalert-core/src/main/java/org/nuxeo/ecm/deferredalert/core/DeferredAlertManagementServiceImpl.java
--- a/nuxeo-platform-deferredalert-core/src/main/java/org/nuxeo/ecm/deferredalert/core/DeferredAlertManagementServiceImpl.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-deferredalert-core/src/main/java/org/nuxeo/ecm/deferredalert/core/DeferredAlertManagementServiceImpl.java	Fri Mar 26 09:05:32 2010 +0100
@@ -48,103 +48,113 @@
  * 
  */
 
-public class DeferredAlertManagementServiceImpl implements DeferredAlertManagementService {
+public class DeferredAlertManagementServiceImpl implements
+        DeferredAlertManagementService {
 
-	private CoreSession adminSession = null;
+    private CoreSession adminSession = null;
 
-	private LoginContext loginContext = null;
+    private LoginContext loginContext = null;
 
-	private static final long serialVersionUID = -2643607647191744171L;
+    private static final long serialVersionUID = -2643607647191744171L;
 
-	private static final Log log = LogFactory.getLog(DeferredAlertManagementServiceImpl.class);
+    private static final Log log = LogFactory.getLog(DeferredAlertManagementServiceImpl.class);
 
-	private CoreSession getAdminSession() throws ClientException {
+    private CoreSession getAdminSession() throws ClientException {
 
-		try {
-			if (adminSession == null) {
+        try {
+            if (adminSession == null) {
 
-				loginContext = Framework.login();
+                loginContext = Framework.login();
 
-				if (loginContext == null) {
-					log.warn("loginContext is null, probably in a test environment, continuing and hope for he best");
-				}
+                if (loginContext == null) {
+                    log.warn("loginContext is null, probably in a test environment, continuing and hope for he best");
+                }
 
-				RepositoryManager mgr = Framework.getService(RepositoryManager.class);
-				Repository repository = mgr.getDefaultRepository();
-				adminSession = repository.open();
-			}
-		} catch (Exception e) {
-			throw new ClientException("Unable to open core session", e);
-		}
+                RepositoryManager mgr = Framework.getService(RepositoryManager.class);
+                Repository repository = mgr.getDefaultRepository();
+                adminSession = repository.open();
+            }
+        } catch (Exception e) {
+            throw new ClientException("Unable to open core session", e);
+        }
 
-		return adminSession;
+        return adminSession;
 
-	}
+    }
 
-	public DeferredAlertManagementServiceImpl() {
-		log.trace("Instanciating DeferredAlertManagementServiceImpl");
-	}
+    public DeferredAlertManagementServiceImpl() {
+        log.trace("Instanciating DeferredAlertManagementServiceImpl");
+    }
 
-	public List<String> getPendingAlerts(String userName) throws ClientException {
+    public List<String> getPendingAlerts(String userName)
+            throws ClientException {
 
-		DocumentModelList docs = getPendingAlertDocs(userName);
+        DocumentModelList docs = getPendingAlertDocs(userName);
 
-		List<String> result = new ArrayList<String>();
-		
-		for (DocumentModel doc : docs) {
-			result.add(new DeferredAlertWrapper(doc).getAlertText());
-		}
-		
-		return result;
-	}
+        List<String> result = new ArrayList<String>();
 
-	private DocumentModelList getPendingAlertDocs(String userName) throws ClientException {
-		DocumentModelList docs = getAdminSession().getChildren(getUserWorkspace(getAdminSession(), userName).getRef(), DeferredAlertType.DOCTYPE);
-		return docs;
-	}
+        for (DocumentModel doc : docs) {
+            result.add(new DeferredAlertWrapper(doc).getAlertText());
+        }
 
-	public void resetAlerts(String userName) throws ClientException {
+        return result;
+    }
 
-		DocumentModelList pending = getPendingAlertDocs(userName);
-		
-		for (DocumentModel doc : pending) {
-			DeferredAlertWrapper.delete(getAdminSession(), new DeferredAlertWrapper(doc));
-		}
-		
-		getAdminSession().save();
-		
-	}
+    private DocumentModelList getPendingAlertDocs(String userName)
+            throws ClientException {
+        DocumentModelList docs = getAdminSession().getChildren(
+                getUserWorkspace(getAdminSession(), userName).getRef(),
+                DeferredAlertType.DOCTYPE);
+        return docs;
+    }
 
-	public void storeAlerts(String userName, List<String> alerts) throws ClientException {
+    public void resetAlerts(String userName) throws ClientException {
 
-		DocumentModel uws = getUserWorkspace(getAdminSession(), userName);
-		
-		for (String alert : alerts) {
-			DeferredAlertWrapper.create(getAdminSession(), uws.getPathAsString(), userName, alert);
-		}
-		
-		getAdminSession().save();
+        DocumentModelList pending = getPendingAlertDocs(userName);
 
-	}
+        for (DocumentModel doc : pending) {
+            DeferredAlertWrapper.delete(getAdminSession(),
+                    new DeferredAlertWrapper(doc));
+        }
 
-	protected DocumentModel getUserWorkspace(CoreSession session, String userName) throws ClientException {
+        getAdminSession().save();
 
-		try {
+    }
 
-			UserWorkspaceService uws = Framework.getService(UserWorkspaceService.class);
+    public void storeAlerts(String userName, List<String> alerts)
+            throws ClientException {
 
-			DocumentModel userWorkspace = uws.getCurrentUserPersonalWorkspace(userName, getAdminSession().getRootDocument());
+        DocumentModel uws = getUserWorkspace(getAdminSession(), userName);
 
-			getAdminSession().save();
+        for (String alert : alerts) {
+            DeferredAlertWrapper.create(getAdminSession(),
+                    uws.getPathAsString(), userName, alert);
+        }
 
-			return userWorkspace;
+        getAdminSession().save();
 
-		} catch (ClientException e) {
-			throw e;
-		} catch (Exception e) {
-			throw new ClientException(e);
-		}
+    }
 
-	}
+    protected DocumentModel getUserWorkspace(CoreSession session,
+            String userName) throws ClientException {
+
+        try {
+
+            UserWorkspaceService uws = Framework.getService(UserWorkspaceService.class);
+
+            DocumentModel userWorkspace = uws.getCurrentUserPersonalWorkspace(
+                    userName, getAdminSession().getRootDocument());
+
+            getAdminSession().save();
+
+            return userWorkspace;
+
+        } catch (ClientException e) {
+            throw e;
+        } catch (Exception e) {
+            throw new ClientException(e);
+        }
+
+    }
 
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-deferredalert-core/src/main/java/org/nuxeo/ecm/deferredalert/core/DeferredAlertManagementServiceImplComponent.java
--- a/nuxeo-platform-deferredalert-core/src/main/java/org/nuxeo/ecm/deferredalert/core/DeferredAlertManagementServiceImplComponent.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-deferredalert-core/src/main/java/org/nuxeo/ecm/deferredalert/core/DeferredAlertManagementServiceImplComponent.java	Fri Mar 26 09:05:32 2010 +0100
@@ -39,97 +39,108 @@
  * @author <a href="mailto:christophe.capon@vilogia.fr">Christophe Capon</a>
  */
 
-public class DeferredAlertManagementServiceImplComponent extends DefaultComponent {
+public class DeferredAlertManagementServiceImplComponent extends
+        DefaultComponent {
 
-	public static final String NAME = "org.nuxeo.ecm.deferredalert.DeferredAlertManagementServiceImplComponent";
+    public static final String NAME = "org.nuxeo.ecm.deferredalert.DeferredAlertManagementServiceImplComponent";
 
-	private static final Log log = LogFactory.getLog(DeferredAlertManagementService.class);
+    private static final Log log = LogFactory.getLog(DeferredAlertManagementService.class);
 
-	private static DeferredAlertManagementDescriptor descriptor;
+    private static DeferredAlertManagementDescriptor descriptor;
 
-	private static DeferredAlertManagementService deferredAlertManagementService;
+    private static DeferredAlertManagementService deferredAlertManagementService;
 
-	@Override
-	public void activate(ComponentContext context) {
-		log.info("DeferredAlertManagementService activated");
-	}
+    @Override
+    public void activate(ComponentContext context) {
+        log.info("DeferredAlertManagementService activated");
+    }
 
-	@Override
-	public void deactivate(ComponentContext context) {
-		log.info("DeferredAlertManagementService deactivated");
-	}
+    @Override
+    public void deactivate(ComponentContext context) {
+        log.info("DeferredAlertManagementService deactivated");
+    }
 
-	@Override
-	public <T> T getAdapter(Class<T> adapter) {
-		if (adapter == DeferredAlertManagementService.class) {
-			try {
-				return adapter.cast(getDeferredAlertManagementService());
-			} catch (Exception e) {
-				log.error("error fetching DeferredAlertManagementService: ", e);
-			}
-		}
-		return null;
-	}
+    @Override
+    public <T> T getAdapter(Class<T> adapter) {
+        if (adapter == DeferredAlertManagementService.class) {
+            try {
+                return adapter.cast(getDeferredAlertManagementService());
+            } catch (Exception e) {
+                log.error("error fetching DeferredAlertManagementService: ", e);
+            }
+        }
+        return null;
+    }
 
-	private DeferredAlertManagementService getDeferredAlertManagementService() throws ClientException {
+    private DeferredAlertManagementService getDeferredAlertManagementService()
+            throws ClientException {
 
-		if (deferredAlertManagementService == null) {
+        if (deferredAlertManagementService == null) {
 
-			Class<?> klass = descriptor.getDeferredAlertManagementClass();
+            Class<?> klass = descriptor.getDeferredAlertManagementClass();
 
-			if (klass == null) {
-				throw new ClientException("No class specified for the DeferredAlertManagement");
-			}
-			try {
-				deferredAlertManagementService = (DeferredAlertManagementService) klass.newInstance();
-			} catch (InstantiationException e) {
-				throw new ClientException("Failed to instantiate class " + klass, e);
-			} catch (IllegalAccessException e) {
-				throw new ClientException("Failed to instantiate class " + klass, e);
-			}
-		}
-		return deferredAlertManagementService;
-	}
+            if (klass == null) {
+                throw new ClientException(
+                        "No class specified for the DeferredAlertManagement");
+            }
+            try {
+                deferredAlertManagementService = (DeferredAlertManagementService) klass.newInstance();
+            } catch (InstantiationException e) {
+                throw new ClientException("Failed to instantiate class "
+                        + klass, e);
+            } catch (IllegalAccessException e) {
+                throw new ClientException("Failed to instantiate class "
+                        + klass, e);
+            }
+        }
+        return deferredAlertManagementService;
+    }
 
-	@Override
-	public void registerContribution(Object contribution, String extensionPoint, ComponentInstance contributor)
-			throws ClientException {
+    @Override
+    public void registerContribution(Object contribution,
+            String extensionPoint, ComponentInstance contributor)
+            throws ClientException {
 
-		if (DeferredAlertManagementConstants.BASE_EXTENSION_POINT.equals(extensionPoint)) {
-			descriptor = (DeferredAlertManagementDescriptor) contribution;
-		} else {
-			log.error(String.format("Unknown %s extension point for DeferredAlertManagementService", extensionPoint));
-		}
+        if (DeferredAlertManagementConstants.BASE_EXTENSION_POINT.equals(extensionPoint)) {
+            descriptor = (DeferredAlertManagementDescriptor) contribution;
+        } else {
+            log.error(String.format(
+                    "Unknown %s extension point for DeferredAlertManagementService",
+                    extensionPoint));
+        }
 
-	}
+    }
 
-	@Override
-	public void unregisterContribution(Object contribution, String extensionPoint, ComponentInstance contributor)
-			throws ClientException {
-		if (DeferredAlertManagementConstants.BASE_EXTENSION_POINT.equals(extensionPoint)) {	
-						
-			releaseDeferredAlertManagementService();
+    @Override
+    public void unregisterContribution(Object contribution,
+            String extensionPoint, ComponentInstance contributor)
+            throws ClientException {
+        if (DeferredAlertManagementConstants.BASE_EXTENSION_POINT.equals(extensionPoint)) {
 
-			descriptor = null;
-			
-		} else {
-			log.error(String.format("Unknown %s extension point for AlertManagementService", extensionPoint));
-		}
+            releaseDeferredAlertManagementService();
 
-	}
+            descriptor = null;
 
-	private void releaseDeferredAlertManagementService() throws ClientException {
-	
-		deferredAlertManagementService = null;
-			
-	}
+        } else {
+            log.error(String.format(
+                    "Unknown %s extension point for AlertManagementService",
+                    extensionPoint));
+        }
 
-	public static void reset() {
-		deferredAlertManagementService = null;
-	}
+    }
 
-	public static Class<? extends DeferredAlertManagementService> getDeferredAlertManagementClass() {
-		return descriptor.getDeferredAlertManagementClass();
-	}
+    private void releaseDeferredAlertManagementService() throws ClientException {
+
+        deferredAlertManagementService = null;
+
+    }
+
+    public static void reset() {
+        deferredAlertManagementService = null;
+    }
+
+    public static Class<? extends DeferredAlertManagementService> getDeferredAlertManagementClass() {
+        return descriptor.getDeferredAlertManagementClass();
+    }
 
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-deferredalert-types/src/main/java/com/nuxeo/ecm/deferredalert/types/DeferredAlertWrapper.java
--- a/nuxeo-platform-deferredalert-types/src/main/java/com/nuxeo/ecm/deferredalert/types/DeferredAlertWrapper.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-deferredalert-types/src/main/java/com/nuxeo/ecm/deferredalert/types/DeferredAlertWrapper.java	Fri Mar 26 09:05:32 2010 +0100
@@ -10,69 +10,79 @@
 import org.nuxeo.ecm.core.api.DocumentRef;
 import org.nuxeo.ecm.core.api.impl.DocumentModelImpl;
 
-public class DeferredAlertWrapper  {
+public class DeferredAlertWrapper {
 
-    private static SimpleDateFormat df = new SimpleDateFormat("dd/MM/yyyy hh:mm");
+    private static SimpleDateFormat df = new SimpleDateFormat(
+            "dd/MM/yyyy hh:mm");
 
-	public DocumentModel alertDoc;
+    public DocumentModel alertDoc;
 
-	
-	public static DeferredAlertWrapper create(CoreSession session, String path) throws ClientException {
-		return create(session, path, null);
-	}
-	
-	public static DeferredAlertWrapper create(CoreSession session, String path, String username) throws ClientException {
-		return create(session, path, username, null);
-	}
-	
-	public static DeferredAlertWrapper create(CoreSession session, String path, String username, String alert) throws ClientException {
-		DocumentModel doc = session.createDocumentModel(path, getRandomId(), DeferredAlertType.DOCTYPE);
-		DeferredAlertWrapper def = new DeferredAlertWrapper(doc);
-		def.setUserName(username);
-		def.setAlertText(alert);
-		session.createDocument(doc);
-		return def;
-	}
-	
-	public static void delete(CoreSession session, DeferredAlertWrapper doc) throws ClientException {
-		session.removeDocument(doc.getDocument().getRef());
-	}
-	
-	private static String getRandomId() {
-		return new SimpleDateFormat("yyyyMMddhhmmssSSS").format(new Date());
-	}
-	
-	public DeferredAlertWrapper(DocumentModel doc) throws ClientException {
-		alertDoc = doc;
-	}
-	
-	public void setUserName(String userName) throws ClientException {
-		alertDoc.setProperty(DeferredAlertType.SCHEMA, DeferredAlertType.PROP_USERNAME, userName);
-	}
+    public static DeferredAlertWrapper create(CoreSession session, String path)
+            throws ClientException {
+        return create(session, path, null);
+    }
 
-	public String getUserName() throws ClientException {
-		return (String) alertDoc.getProperty(DeferredAlertType.SCHEMA, DeferredAlertType.PROP_USERNAME);
-	}
+    public static DeferredAlertWrapper create(CoreSession session, String path,
+            String username) throws ClientException {
+        return create(session, path, username, null);
+    }
 
-	public void setAlertText(String alertText) throws ClientException {
-		alertDoc.setProperty(DeferredAlertType.SCHEMA, DeferredAlertType.PROP_ALERT_TEXT, alertText);
-	}
+    public static DeferredAlertWrapper create(CoreSession session, String path,
+            String username, String alert) throws ClientException {
+        DocumentModel doc = session.createDocumentModel(path, getRandomId(),
+                DeferredAlertType.DOCTYPE);
+        DeferredAlertWrapper def = new DeferredAlertWrapper(doc);
+        def.setUserName(username);
+        def.setAlertText(alert);
+        session.createDocument(doc);
+        return def;
+    }
 
-	public String getAlertText() throws ClientException {
-		return (String) alertDoc.getProperty(DeferredAlertType.SCHEMA, DeferredAlertType.PROP_ALERT_TEXT);
-	}
+    public static void delete(CoreSession session, DeferredAlertWrapper doc)
+            throws ClientException {
+        session.removeDocument(doc.getDocument().getRef());
+    }
 
-	public DocumentModel getDocument() throws ClientException {
-		return alertDoc;
-	}
-	
-	public String getCreationDateAsString() throws ClientException {
-		return df.format(getCreationDate());
-	}
-	
-	public Date getCreationDate() throws ClientException {
-		GregorianCalendar cal = (GregorianCalendar)alertDoc.getProperty("dublincore", "created");
-		return cal.getTime();
-	}
+    private static String getRandomId() {
+        return new SimpleDateFormat("yyyyMMddhhmmssSSS").format(new Date());
+    }
+
+    public DeferredAlertWrapper(DocumentModel doc) throws ClientException {
+        alertDoc = doc;
+    }
+
+    public void setUserName(String userName) throws ClientException {
+        alertDoc.setProperty(DeferredAlertType.SCHEMA,
+                DeferredAlertType.PROP_USERNAME, userName);
+    }
+
+    public String getUserName() throws ClientException {
+        return (String) alertDoc.getProperty(DeferredAlertType.SCHEMA,
+                DeferredAlertType.PROP_USERNAME);
+    }
+
+    public void setAlertText(String alertText) throws ClientException {
+        alertDoc.setProperty(DeferredAlertType.SCHEMA,
+                DeferredAlertType.PROP_ALERT_TEXT, alertText);
+    }
+
+    public String getAlertText() throws ClientException {
+        return (String) alertDoc.getProperty(DeferredAlertType.SCHEMA,
+                DeferredAlertType.PROP_ALERT_TEXT);
+    }
+
+    public DocumentModel getDocument() throws ClientException {
+        return alertDoc;
+    }
+
+    public String getCreationDateAsString() throws ClientException {
+        return df.format(getCreationDate());
+    }
+
+    public Date getCreationDate() throws ClientException {
+        GregorianCalendar cal = (GregorianCalendar) alertDoc.getProperty(
+                "dublincore", "created");
+        return cal.getTime();
+    }
 
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-deferredalert-types/src/test/java/com/nuxeo/ecm/deferredalert/types/RepositoryOSGITestCase.java
--- a/nuxeo-platform-deferredalert-types/src/test/java/com/nuxeo/ecm/deferredalert/types/RepositoryOSGITestCase.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-deferredalert-types/src/test/java/com/nuxeo/ecm/deferredalert/types/RepositoryOSGITestCase.java	Fri Mar 26 09:05:32 2010 +0100
@@ -50,156 +50,157 @@
     public static final String REPOSITORY_NAME = "demo";
 
     public static final String DOMAIN_NAME = "demo-domain";
-    
-    
+
     protected Repository repository;
 
     protected CoreSession coreSession;
 
     protected DocumentModel rootWorkspace = null;
-    
+
     protected DocumentModel domain = null;
 
     protected RepositoryOSGITestCase() {
     }
 
     protected RepositoryOSGITestCase(String name) {
-	super(name);
+        super(name);
     }
 
     protected void undeployBundle(String name) throws BundleException {
-	osgi.getRegistry().getBundle(name).uninstall();
+        osgi.getRegistry().getBundle(name).uninstall();
     }
-    
-    
+
     @Override
     public void setUp() throws Exception {
-	super.setUp();
-	
-	deployBundle("org.nuxeo.ecm.core.schema");
-	deployBundle("org.nuxeo.ecm.core.api");
-	deployBundle("org.nuxeo.ecm.core.event");
-	deployBundle("org.nuxeo.ecm.core");
-	deployBundle("org.nuxeo.ecm.core.jcr");
-	
+        super.setUp();
+
+        deployBundle("org.nuxeo.ecm.core.schema");
+        deployBundle("org.nuxeo.ecm.core.api");
+        deployBundle("org.nuxeo.ecm.core.event");
+        deployBundle("org.nuxeo.ecm.core");
+        deployBundle("org.nuxeo.ecm.core.jcr");
+
     }
 
     @Override
     public void tearDown() throws Exception {
-	
-	Framework.getLocalService(EventService.class).waitForAsyncCompletion();
-	releaseCoreSession();
-	releaseRepository();
-	
-	deployBundle("org.nuxeo.ecm.core.jcr");
-	deployBundle("org.nuxeo.ecm.core");
-	deployBundle("org.nuxeo.ecm.core.event");
-	deployBundle("org.nuxeo.ecm.core.api");
-	deployBundle("org.nuxeo.ecm.core.schema");
 
-	super.tearDown();
+        Framework.getLocalService(EventService.class).waitForAsyncCompletion();
+        releaseCoreSession();
+        releaseRepository();
+
+        deployBundle("org.nuxeo.ecm.core.jcr");
+        deployBundle("org.nuxeo.ecm.core");
+        deployBundle("org.nuxeo.ecm.core.event");
+        deployBundle("org.nuxeo.ecm.core.api");
+        deployBundle("org.nuxeo.ecm.core.schema");
+
+        super.tearDown();
     }
 
     protected void openRepositoryAsUser(String userName) throws Exception {
-	if (repository == null) {
-	    // the repository should be deployed the last
-	    // after any other bundle that is doctypes
-	    // this is nuxeo-core-jcr-connector-test
-	    repositoryDeploy();
-	    repository = NXCore.getRepositoryService().getRepositoryManager().getRepository(REPOSITORY_NAME);
-	}
-	openCoreSession(userName);
+        if (repository == null) {
+            // the repository should be deployed the last
+            // after any other bundle that is doctypes
+            // this is nuxeo-core-jcr-connector-test
+            repositoryDeploy();
+            repository = NXCore.getRepositoryService().getRepositoryManager().getRepository(
+                    REPOSITORY_NAME);
+        }
+        openCoreSession(userName);
     }
 
     protected void closeRepository() throws Exception {
-	releaseCoreSession();
-	releaseRepository();
-	repositoryUndeploy();
+        releaseCoreSession();
+        releaseRepository();
+        repositoryUndeploy();
     }
-    
+
     protected void repositoryDeploy() throws Exception {
-	if (!isRepositoryBundleDeployed) {
-	    deployBundle("org.nuxeo.ecm.core.jcr-connector");
-	    isRepositoryBundleDeployed = true;
-	}
+        if (!isRepositoryBundleDeployed) {
+            deployBundle("org.nuxeo.ecm.core.jcr-connector");
+            isRepositoryBundleDeployed = true;
+        }
     }
 
     protected void repositoryUndeploy() throws Exception {
-	if (isRepositoryBundleDeployed) {
-	    undeployBundle("org.nuxeo.ecm.core.jcr-connector");
-	    isRepositoryBundleDeployed = false;
-	}
+        if (isRepositoryBundleDeployed) {
+            undeployBundle("org.nuxeo.ecm.core.jcr-connector");
+            isRepositoryBundleDeployed = false;
+        }
     }
 
-
     public void openRepository() throws Exception {
-	openRepositoryAsUser("Administrator");
+        openRepositoryAsUser("Administrator");
     }
 
     public void openRepositoryWithSystemPrivileges() throws Exception {
-	openRepositoryAsUser(null);
+        openRepositoryAsUser(null);
     }
 
     public CoreSession getCoreSession() {
-	return coreSession;
+        return coreSession;
     }
 
     protected Repository getRepository() {
-	return repository;
+        return repository;
     }
 
     protected DocumentModel getRootWorkspace() throws ClientException {
-	if (rootWorkspace == null)
-	    createRootWorkspace();
-	return rootWorkspace;
+        if (rootWorkspace == null)
+            createRootWorkspace();
+        return rootWorkspace;
     }
 
     private void createRootWorkspace() throws ClientException {
-	domain = coreSession.createDocumentModel("/", RepositoryOSGITestCase.DOMAIN_NAME, "Domain");
-	domain = coreSession.createDocument(domain);
-	assertNotNull(domain);
-	rootWorkspace = coreSession.createDocumentModel(domain.getPathAsString(), RepositoryOSGITestCase.ROOT_WORKSPACE_NAME, "Workspace");
-	assertNotNull(rootWorkspace);
-	rootWorkspace = coreSession.createDocument(rootWorkspace);
-	coreSession.save();
+        domain = coreSession.createDocumentModel("/",
+                RepositoryOSGITestCase.DOMAIN_NAME, "Domain");
+        domain = coreSession.createDocument(domain);
+        assertNotNull(domain);
+        rootWorkspace = coreSession.createDocumentModel(
+                domain.getPathAsString(),
+                RepositoryOSGITestCase.ROOT_WORKSPACE_NAME, "Workspace");
+        assertNotNull(rootWorkspace);
+        rootWorkspace = coreSession.createDocument(rootWorkspace);
+        coreSession.save();
     }
 
     protected void openCoreSession(String userName) throws ClientException {
-	Map<String, Serializable> ctx = new HashMap<String, Serializable>();
-	ctx.put("username", userName);
-	coreSession = CoreInstance.getInstance().open(REPOSITORY_NAME, ctx);
-	assertNotNull(coreSession);
+        Map<String, Serializable> ctx = new HashMap<String, Serializable>();
+        ctx.put("username", userName);
+        coreSession = CoreInstance.getInstance().open(REPOSITORY_NAME, ctx);
+        assertNotNull(coreSession);
     }
 
     public void changeUser(String newUser) throws ClientException {
-	releaseCoreSession();
-	openCoreSession(newUser);
+        releaseCoreSession();
+        openCoreSession(newUser);
     }
 
     public void releaseRepository() {
-	if (repository != null) {
-	    repository.shutdown();
-	    repository = null;
-	}
+        if (repository != null) {
+            repository.shutdown();
+            repository = null;
+        }
     }
 
     public void releaseCoreSession() {
-	if (coreSession != null) {
-	    CoreInstance.getInstance().close(coreSession);
-	    coreSession = null;
-	}
+        if (coreSession != null) {
+            CoreInstance.getInstance().close(coreSession);
+            coreSession = null;
+        }
     }
 
     protected Session getSession() throws DocumentException {
-	return repository.getSession(null);
+        return repository.getSession(null);
     }
 
     protected EventServiceImpl eventService;
 
     protected void waitForEventsDispatched() {
-	if (eventService == null) {
-	    eventService = (EventServiceImpl) Framework.getLocalService(EventService.class);
-	}
-	eventService.waitForAsyncCompletion();
+        if (eventService == null) {
+            eventService = (EventServiceImpl) Framework.getLocalService(EventService.class);
+        }
+        eventService.waitForAsyncCompletion();
     }
 }
